(function ($) {
    $.block_searchmenu_default = function (element, options) {
        let defaults = {
            list_package:[]
        }
        let plugin = this;
        plugin.settings = {};
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('.form').validate({
                ignore: ""
            });
            $element.find('.wrapper-list-duration').find('.select2-selection__rendered').prepend('<i class="icon-nb-clock"></i>');
            $element.find('.wrapper-list-service').find('.select2-selection__rendered').prepend('<i class="icon-nb-gym"></i>');
            $element.find('.wrapper-list-location').find('.select2-selection__rendered').prepend('<i class="icon-nb-adress"></i>');
            $element.find('.wrapper-list-employee').find('.select2-selection__rendered').prepend('<i class="icon-nb-user-2"></i>');
            $element.closest('.wrapper-woo-booking').addClass('form-search-booking');
        };
        plugin.example_function = function () {
        };
        plugin.init();
    };

    $.fn.block_searchmenu_default = function (options) {

        return this.each(function () {

            if (undefined === $(this).data('block_searchmenu_default')) {
                let plugin = new $.block_searchmenu_default(this, options);
                $(this).data('block_searchmenu_default', plugin);
            }
        });
    }
})(jQuery);
